print("\nTesting PyKDE module imports\n")
try:
    import pytdeconfig
except:
    print("Can't find pytdeconfig.py - please check installation")
    raise    

pytdecfg = pytdeconfig.Configuration ()

#modules = ["dcop", "tdecore", "tdesu", "tdefx", "tdeui", "tdeio", "tdefile", "tdeparts", "tdehtml", "kjs", "tdespell", "tdeprint"]
print("Modules built:")
print(" ",pytdecfg.pytde_modules)
print()
print("Importing:")
print()

for mod in pytdecfg.pytde_modules.split():
    print(mod)
    if mod != "tdesu":
        exec ("import " + mod)

print()
